/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 20/09/2016 : SCA : V2.2 (PSWS-H2020)
 * 	Creation (new catalogues)
 * ----------------------------------------
 */
package fr.tlse.irap.tool.corotation;


public class CirEnd {

	private int id;				// target id
	private String name;		// target name
	private long endTime;		// impact time in seconds
	private double longSep; 	// φEnd(t')-φStart(t)
	private double distEnd; 	// distance away target from SUN at tSUN
	private boolean impacted = true;	// always impacted  

	public CirEnd() {
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public long getEndTime() {
		return endTime;
	}

	public void setEndTime(long endTime) {
		this.endTime = endTime;
	}

	public double getLongSep() {
		return longSep;
	}

	public void setLongSep(double longSep) {
		this.longSep = longSep;
	}

	public double getDistEnd() {
		return distEnd;
	}

	public void setDistEnd(double distEnd) {
		this.distEnd = distEnd;
	}

	public boolean isImpacted() {
		return impacted;
	}

	public void setImpacted(boolean impacted) {
		this.impacted = impacted;
	}

}
